/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
// insert code to be run when the composition is fully loaded here
              
         var headline;
         var headlinetxt = sym.getSymbol("styleMc").$("headlineTxt").css("pointer-events","none");
         var source;
         var sourcetxt = sym.getSymbol("styleMc").$("sourceTxt").css("pointer-events","none");
         var txt1;
         var txt1txt = sym.$("txt1").css("pointer-events","none");
         var txt2;
         var txt2txt = sym.$("txt2").css("pointer-events","none");
         var txt3;
         var txt3txt = sym.$("txt3").css("pointer-events","none");
         var txt4;
         var txt4txt = sym.$("txt4").css("pointer-events","none");
         var txt5;
         var txt5txt = sym.$("txt5").css("pointer-events","none");
         var txt6;
         var txt6txt = sym.$("txt6").css("pointer-events","none");
         var txt7;
         var txt7txt = sym.$("txt7").css("pointer-events","none");
         var txt8;
         var txt8txt = sym.$("txt8").css("pointer-events","none");
         var txt9;
         var txt9txt = sym.$("txt9").css("pointer-events","none");
         var txt10;
         var txt10txt = sym.$("txt10").css("pointer-events","none");
         var txt11;
         var txt11txt = sym.$("txt11").css("pointer-events","none");
         var txt12;
         var txt12txt = sym.$("txt12").css("pointer-events","none");
         var txt13;
         var txt13txt = sym.$("txt13").css("pointer-events","none");
         var txt14;
         var txt14txt = sym.$("txt14").css("pointer-events","none");
         var txt15;
         var txt15txt = sym.$("txt15").css("pointer-events","none");
         var txt16;
         var txt16txt = sym.$("txt16").css("pointer-events","none");
         var txt17;
         var txt17txt = sym.$("txt17").css("pointer-events","none");
         var txt18;
         var txt18txt = sym.$("txt18").css("pointer-events","none");
         var txt19;
         var txt19txt = sym.$("txt19").css("pointer-events","none");
         var txt20;
         var txt20txt = sym.$("txt20").css("pointer-events","none");
         var txt21;
         var txt21txt = sym.$("txt21").css("pointer-events","none");
         var txt22;
         var txt22txt = sym.$("txt22").css("pointer-events","none");
         var txt23;
         var txt23txt = sym.$("txt23").css("pointer-events","none");
         var txt24;
         var txt24txt = sym.$("txt24").css("pointer-events","none");
         var txt25;
         var txt25txt = sym.$("txt25").css("pointer-events","none");
         var txt26;
         var txt26txt = sym.$("txt26").css("pointer-events","none");
         var txt27;
         var txt27txt = sym.$("txt27").css("pointer-events","none");
         var txt28;
         var txt28txt = sym.$("txt28").css("pointer-events","none");
         var txt29;
         var txt29txt = sym.$("txt29").css("pointer-events","none");
         var txt30;
         var txt30txt = sym.$("txt30").css("pointer-events","none");
         var txt31;
         var txt31txt = sym.$("txt31").css("pointer-events","none");
         var txt32;
         var txt32txt = sym.$("txt32").css("pointer-events","none");
         var txt33;
         var txt33txt = sym.$("txt33").css("pointer-events","none");
         var txt34;
         var txt34txt = sym.$("txt34").css("pointer-events","none");
         var txt35;
         var txt35txt = sym.$("txt35").css("pointer-events","none");
         var txt36;
         var txt36txt = sym.getSymbol("startBtn").$("txt36").css("pointer-events","none");
         var txt37;
         var txt37txt = sym.getSymbol("finishMc").$("txt37").css("pointer-events","none");
         var txt38;
         var txt38txt = sym.$("txt38").css("pointer-events","none");
         var txt39;
         var txt39txt = sym.$("txt39").css("pointer-events","none");
         var txt40;
         var txt40txt = sym.$("txt40").css("pointer-events","none");
         var txt41;
         var txt41txt = sym.$("txt41").css("pointer-events","none");
                  
           
           //AJAX retrieves data from xml source specified in url, maps xml variable to DOM object variable
           $.ajax({	
         	type: "GET",
         	url: "GN29809.xml",
         	dataType: "xml",
         	success: function(xml) {
			headline = $(xml).find('headline').text();
         		headlinetxt.html(headline);
         		source = $(xml).find('source').text();
         		sourcetxt.html(source);
         		txt1 = $(xml).find('txt1').text();
         		txt1txt.html(txt1);
         		txt2 = $(xml).find('txt2').text();
         		txt2txt.html(txt2);
         		txt3 = $(xml).find('txt3').text();
         		txt3txt.html(txt3);
         		txt4 = $(xml).find('txt4').text();
         		txt4txt.html(txt4)
         		txt5 = $(xml).find('txt5').text();
         		txt5txt.html(txt5);
         		txt6 = $(xml).find('txt6').text();
         		txt6txt.html(txt6);
         		txt7 = $(xml).find('txt7').text();
         		txt7txt.html(txt7);
         		txt8 = $(xml).find('txt8').text();
         		txt8txt.html(txt8);
         		txt9 = $(xml).find('txt9').text();
         		txt9txt.html(txt9);
         		txt10 = $(xml).find('txt10').text();
         		txt10txt.html(txt10);
         		txt11 = $(xml).find('txt11').text();
         		txt11txt.html(txt11);
         		txt12 = $(xml).find('txt12').text();
         		txt12txt.html(txt12);
         		txt13 = $(xml).find('txt13').text();
         		txt13txt.html(txt13);
         		txt14 = $(xml).find('txt14').text();
         		txt14txt.html(txt14);
         		txt15 = $(xml).find('txt15').text();
         		txt15txt.html(txt15);
         		txt16 = $(xml).find('txt16').text();
         		txt16txt.html(txt16);
         		txt17 = $(xml).find('txt17').text();
         		txt17txt.html(txt17);
         		txt18 = $(xml).find('txt18').text();
         		txt18txt.html(txt18);
         		txt19 = $(xml).find('txt19').text();
         		txt19txt.html(txt19);
         		txt20 = $(xml).find('txt20').text();
         		txt20txt.html(txt20);
         		txt21 = $(xml).find('txt21').text();
         		txt21txt.html(txt21);
         		txt22 = $(xml).find('txt22').text();
         		txt22txt.html(txt22);
         		txt23 = $(xml).find('txt23').text();
         		txt23txt.html(txt23);
         		txt24 = $(xml).find('txt24').text();
         		txt24txt.html(txt24);
         		txt25 = $(xml).find('txt25').text();
         		txt25txt.html(txt25);
         		txt26 = $(xml).find('txt26').text();
         		txt26txt.html(txt26);
         		txt27 = $(xml).find('txt27').text();
         		txt27txt.html(txt27);
         		txt28 = $(xml).find('txt28').text();
         		txt28txt.html(txt28);
         		txt29 = $(xml).find('txt29').text();
         		txt29txt.html(txt29);
         		txt30 = $(xml).find('txt30').text();
         		txt30txt.html(txt30);   
         		txt31 = $(xml).find('txt31').text();
         		txt31txt.html(txt31);   
         		txt32 = $(xml).find('txt32').text();
         		txt32txt.html(txt32);   
         		txt33 = $(xml).find('txt33').text();
         		txt33txt.html(txt33);    
         		txt34 = $(xml).find('txt34').text();
         		txt34txt.html(txt34);
         		txt35 = $(xml).find('txt35').text();
         		txt35txt.html(txt35);   
         		txt36 = $(xml).find('txt36').text();
         		txt36txt.html(txt36);   
         		txt37 = $(xml).find('txt37').text();
         		txt37txt.html(txt37);   
         		txt38 = $(xml).find('txt38').text();
         		txt38txt.html(txt38);   
         		txt39 = $(xml).find('txt39').text();
         		txt39txt.html(txt39);   
         		txt40 = $(xml).find('txt40').text();
         		txt40txt.html(txt40);   
         		txt41 = $(xml).find('txt41').text();
         		txt41txt.html(txt41);                 
         		}
         	}); // END XML
         	
// STOP ELEMENTS INTERACTING WITH MOUSE
	sym.$("handMc").css("pointer-events","none");
	
// HIDE ELEMENTS
	sym.$("finishMc").fadeOut(0);
	sym.getSymbol("startBtn").$("startOut").fadeOut(0);
	var route_arr = ["_1","_2","_3","_4","_5","_6","_7","_8","_9","_10","_11","_12","_13","_14","_15","_16","_17","_18","_19","_20","_21","_22","_23","_24","_25","_26","_27","_28","_29","_30","_31","_32","_33","_34","_35","_36","_37","_38","_39","_40","_41","_42","_43","_44","_45","_46","_47","_48","_49","_50","_51","_52","_53","_54","_55","_56","_57","_58","_59","_60","_61","_62","_63","_64","_65","_66","_67","_68","_69","_70","_71","_72","_73","_74","_75","_76","_77","_78","_79","_80","_81","_82","_83","_84","_85","_86","_87","_88","_89","_90"];
		$.each(route_arr, function(index, value) {
		sym.getSymbol("routeMc3").$(value).fadeOut(0);
		});
		
	var routeTime = 100;
	var fadeTime = 300;
	function resetRoute(){
		sym.$("finishMc").fadeOut(0);
		sym.getSymbol("startBtn").$("startOut").fadeOut(0);
		var route_arr = ["_1","_2","_3","_4","_5","_6","_7","_8","_9","_10","_11","_12","_13","_14","_15","_16","_17","_18","_19","_20","_21","_22","_23","_24","_25","_26","_27","_28","_29","_30","_31","_32","_33","_34","_35","_36","_37","_38","_39","_40","_41","_42","_43","_44","_45","_46","_47","_48","_49","_50","_51","_52","_53","_54","_55","_56","_57","_58","_59","_60","_61","_62","_63","_64","_65","_66","_67","_68","_69","_70","_71","_72","_73","_74","_75","_76","_77","_78","_79","_80","_81","_82","_83","_84","_85","_86","_87","_88","_89","_90"];
		$.each(route_arr, function(index, value) {
		sym.getSymbol("routeMc3").$(value).fadeOut(0);
		});
        	sym.getSymbol("routeMc3").$("_1").delay(routeTime * 1).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_2").delay(routeTime * 2).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_3").delay(routeTime * 3).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_4").delay(routeTime * 4).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_5").delay(routeTime * 5).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_6").delay(routeTime * 6).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_7").delay(routeTime * 7).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_8").delay(routeTime * 8).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_9").delay(routeTime * 9).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_10").delay(routeTime * 10).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_11").delay(routeTime * 11).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_12").delay(routeTime * 12).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_13").delay(routeTime * 13).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_14").delay(routeTime * 14).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_15").delay(routeTime * 15).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_16").delay(routeTime * 16).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_17").delay(routeTime * 17).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_18").delay(routeTime * 18).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_19").delay(routeTime * 19).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_20").delay(routeTime * 20).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_21").delay(routeTime * 21).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_22").delay(routeTime * 22).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_23").delay(routeTime * 23).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_24").delay(routeTime * 24).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_25").delay(routeTime * 25).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_26").delay(routeTime * 26).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_27").delay(routeTime * 27).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_28").delay(routeTime * 28).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_29").delay(routeTime * 29).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_30").delay(routeTime * 30).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_31").delay(routeTime * 31).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_32").delay(routeTime * 32).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_33").delay(routeTime * 33).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_34").delay(routeTime * 34).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_35").delay(routeTime * 35).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_36").delay(routeTime * 36).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_37").delay(routeTime * 37).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_38").delay(routeTime * 38).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_39").delay(routeTime * 39).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_40").delay(routeTime * 40).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_41").delay(routeTime * 41).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_42").delay(routeTime * 42).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_43").delay(routeTime * 43).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_44").delay(routeTime * 44).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_45").delay(routeTime * 45).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_46").delay(routeTime * 46).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_47").delay(routeTime * 47).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_48").delay(routeTime * 48).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_49").delay(routeTime * 49).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_50").delay(routeTime * 50).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_51").delay(routeTime * 51).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_52").delay(routeTime * 52).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_53").delay(routeTime * 53).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_54").delay(routeTime * 54).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_55").delay(routeTime * 55).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_56").delay(routeTime * 56).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_57").delay(routeTime * 57).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_58").delay(routeTime * 58).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_59").delay(routeTime * 59).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_60").delay(routeTime * 60).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_61").delay(routeTime * 61).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_62").delay(routeTime * 62).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_63").delay(routeTime * 63).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_64").delay(routeTime * 64).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_65").delay(routeTime * 65).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_66").delay(routeTime * 66).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_67").delay(routeTime * 67).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_68").delay(routeTime * 68).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_69").delay(routeTime * 69).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_70").delay(routeTime * 70).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_71").delay(routeTime * 71).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_72").delay(routeTime * 72).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_73").delay(routeTime * 73).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_74").delay(routeTime * 74).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_75").delay(routeTime * 75).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_76").delay(routeTime * 76).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_77").delay(routeTime * 77).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_78").delay(routeTime * 78).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_79").delay(routeTime * 79).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_80").delay(routeTime * 80).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_81").delay(routeTime * 81).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_82").delay(routeTime * 82).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_83").delay(routeTime * 83).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_84").delay(routeTime * 84).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_85").delay(routeTime * 85).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_86").delay(routeTime * 86).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_87").delay(routeTime * 87).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_88").delay(routeTime * 88).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_89").delay(routeTime * 89).fadeIn(routeTime + fadeTime);
        	sym.getSymbol("routeMc3").$("_90").delay(routeTime * 90).fadeIn(routeTime + fadeTime);
        	sym.$("finishMc").delay(routeTime * 91).fadeIn(routeTime + fadeTime);
         }
	//resetRoute();
	   	
// MAKE ELEMENTS INVISIBLE
	sym.$("handMc").animate({opacity: 0}, 0);
	
// MOVE HAND
	sym.$("handMc").delay(500).animate ({opacity:1, left:358, top:359}, 2000);
	
// PLAY BUTTON
	Symbol.bindElementAction(compId, symbolName, "${_startClick}", "click", function(sym, e) {
		sym.$("handMc").hide();
		resetRoute();
		sym.getSymbol("startBtn").$("startOut").fadeIn(100);
		sym.$("startClick").fadeOut(100);
		sym.getSymbol("startBtn").$("startOut").delay(routeTime * 92).fadeOut(100);
		sym.$("startClick").delay(routeTime * 92).fadeIn(100);
	});
	Symbol.bindElementAction(compId, symbolName, "${_startClick}", "mouseover", function(sym, e) {
		sym.$("handMc").hide();
	});
	
	
	

         	});//Edge binding end	
		
		// VIDEO BTN 1 =========================================================
         	
			
         	
         		
         	
			
			
         	// VIDEO BTN 2 =========================================================
         	
         	
         	
         		
         	
         	


   })("stage");
   //Edge symbol end:'stage'

//=========================================================
   //Edge symbol: 'handMc'
   (function(symbolName) {

   })("handMc");
   //Edge symbol end:'handMc'

   //=========================================================
   
   //Edge symbol: 'styleMc'
   (function(symbolName) {   
   
   })("styleMc");
   //Edge symbol end:'styleMc'

   //=========================================================
   
   //Edge symbol: 'menuBtn'
   (function(symbolName) {   
   
   })("menuBtn");
   //Edge symbol end:'menuBtn'

   //=========================================================
   
   //Edge symbol: 'routeMc'
   (function(symbolName) {   
   
   })("routeMc");
   //Edge symbol end:'routeMc'

   //=========================================================
   
   //Edge symbol: 'routeMc2'
   (function(symbolName) {   
   
   })("routeMc2");
   //Edge symbol end:'routeMc2'

   //=========================================================
   
   //Edge symbol: 'routeMc3'
   (function(symbolName) {   
   
   })("routeMc3");
   //Edge symbol end:'routeMc3'

   //=========================================================
   
   //Edge symbol: 'startBtn'
   (function(symbolName) {   
   
   })("startBtn");
   //Edge symbol end:'startBtn'

   //=========================================================
   
   //Edge symbol: 'finishMc'
   (function(symbolName) {   
   
   })("finishMc");
   //Edge symbol end:'finishMc'

   //=========================================================
   
   //Edge symbol: 'startClick'
   (function(symbolName) {   
   
   })("startClick");
   //Edge symbol end:'startClick'

})(jQuery, AdobeEdge, "EDGE-6774367");